diff --git a/pgadmin/dlg/dlgProperty.cpp b/pgadmin/dlg/dlgProperty.cpp
index 67b8ace..ec19950 100644
--- a/pgadmin/dlg/dlgProperty.cpp
+++ b/pgadmin/dlg/dlgProperty.cpp
@@ -407,7 +407,10 @@ void dlgProperty::CreateAdditionalPages()
 
 		fgsizer->AddGrowableCol(0);
 		fgsizer->AddGrowableRow(1);
-		fgsizer->AddGrowableRow(2);
+		if (fgsizer->GetRows() > 1)
+		{
+			fgsizer->AddGrowableRow(2);
+		}
 
 		sqlPane->SetAutoLayout(true);
 		sqlPane->SetSizer(fgsizer);
diff --git a/pgadmin/ui/ddTableNameDialog.xrc b/pgadmin/ui/ddTableNameDialog.xrc
index 9951a79..33ef993 100644
--- a/pgadmin/ui/ddTableNameDialog.xrc
+++ b/pgadmin/ui/ddTableNameDialog.xrc
@@ -17,7 +17,7 @@
             <object class="wxPanel" name="pnlProperties">
               <object class="wxFlexGridSizer">
                 <cols>2</cols>
-                <rows>2</rows>
+                <rows>3</rows>
                 <vgap>5</vgap>
                 <hgap>5</hgap>
                 <growablecols>1</growablecols>
diff --git a/pgadmin/ui/dlgFindReplace.xrc b/pgadmin/ui/dlgFindReplace.xrc
index 84edb5e..d02a3bf 100644
--- a/pgadmin/ui/dlgFindReplace.xrc
+++ b/pgadmin/ui/dlgFindReplace.xrc
@@ -85,7 +85,7 @@
           <object class="sizeritem">
             <object class="wxFlexGridSizer">
               <cols>1</cols>
-              <rows>5</rows>
+              <rows>6</rows>
               <object class="sizeritem">
                 <object class="wxStaticText" name="sbOrigin">
                   <label>Origin</label>
@@ -143,7 +143,7 @@
           <object class="sizeritem">
             <object class="wxFlexGridSizer">
               <cols>1</cols>
-              <rows>3</rows>
+              <rows>4</rows>
               <object class="sizeritem">
                 <object class="wxStaticText" name="sbOptions">
                   <label>Options</label>
